<?php 
$xsl_name = to_str($GLOBALS['LA']['xsl_name']);

$maillist = new Maillist();

$SiteUsers = & singleton('SiteUsers');

$external_propertys = array();

/* Подписка с автоматической регистрацией пользователя */
if (isset($_POST['anonymousmaillist']))
{
	$Password = new Password();

	$param['site_users_login'] = to_str($_POST['user_email']);
	$param['site_users_password'] = $Password->GenPassword(rand(8,12));
	$param['site_users_email'] = to_str($_POST['user_email']);
	$param['site_users_name'] = to_str($_POST['user_name']);

	// Логин не начинается с http://
	if (strpos($_POST['site_users_login'], 'http://') === false)
	{
		$site_user_id = $SiteUsers->InsertSiteUser($param);

		if ($site_user_id > 0)
		{
			$maillist->RenewMaillist($site_user_id, $_POST);

			$external_propertys['message'] = 'На Ваш электронный адрес отправлено письмо с подтверждением регистрации.';
		}
		else
		{
			switch ($site_user_id)
			{
				case 0:
					$external_propertys['message'] = 'Ошибка заполнения базы данных';
					break;
				case -1:
					$external_propertys['message'] = 'Введен некорректный e-mail';
					break;
				case -2:
					$external_propertys['message'] = 'Пользователь с таким e-mail уже зарегистрирован.
				Управлять подписками Вы можете в <a href="/users/">кабинете пользователя</a>.
				Если Вы забыли Ваш пароль, Вы можете его <a href="/users/restore_password/">восстановить</a>';
					break;
				case -3:
					$external_propertys['message'] = 'Пользователь с таким логином уже зарегистрирован.
				Управлять подписками Вы можете в <a href="/users/">кабинете пользователя</a>.
				Если Вы забыли Ваш пароль, Вы можете его <a href="/users/restore_password/">восстановить</a>';
					break;
			}
		}
	}
	else
	{
		$external_propertys['message'] = 'Недопустимый логин';
	}

	$maillist->GetMaillistXML($site_user_id, $xsl_name, array(), $external_propertys);
}
else
{
	$maillist->GetMaillistXML(0, $xsl_name);
}
?>